Upstream information

CVE-2016-0752 at MITRE

Description

Directory traversal vulnerability in Action View in Ruby on Rails before 3.2.22.1, 4.0.x and 4.1.x before 4.1.14.1, 4.2.x before 4.2.5.1, and 5.x before 5.0.0.beta1.1 allows remote attackers to read arbitrary files by leveraging an application's unrestricted use of the render method and providing a .. (dot dot) in a pathname.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.96 6.82
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None Partial
Availability Impact None Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 963332 [RESOLVED / FIXED], 968850 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 2.1
  • ruby2.1-rubygem-actionpack-4_2 >= 4.2.2-6.1
  • ruby2.1-rubygem-actionview-4_2 >= 4.2.2-5.1
  • rubygem-actionpack-4_2 >= 4.2.2-6.1
  • rubygem-actionview-4_2 >= 4.2.2-5.1
Patchnames:
SUSE-Storage-2.1-2016-260
SUSE-Storage-2.1-2016-262
SUSE Lifecycle Management Server 1.3
  • rubygem-actionpack-3_2 >= 3.2.12-0.23.1
Patchnames:
sleslms13-rubygem-actionpack-3_2-12431
SUSE Linux Enterprise Module for Containers 12
  • portus >= 2.0.3-2.4
Patchnames:
SUSE-SLE-Module-Containers-12-2016-672
SUSE Linux Enterprise Software Development Kit 11 SP4
  • rubygem-actionpack-3_2 >= 3.2.12-0.23.1
Patchnames:
sdksp4-rubygem-actionpack-3_2-12431
SUSE OpenStack Cloud 5
  • ruby2.1-rubygem-actionpack-4_1 >= 4.1.9-9.1
  • ruby2.1-rubygem-actionview-4_1 >= 4.1.9-9.1
  • rubygem-actionpack-4_1 >= 4.1.9-9.1
  • rubygem-actionview-4_1 >= 4.1.9-9.1
Patchnames:
sleclo50sp3-rubygem-actionpack-4_1-12468
sleclo50sp3-rubygem-actionview-4_1-12421
SUSE OpenStack Cloud 6
  • ruby2.1-rubygem-actionpack-4_2 >= 4.2.2-6.1
  • ruby2.1-rubygem-actionview-4_2 >= 4.2.2-5.1
Patchnames:
SUSE OpenStack Cloud 6 GA ruby2.1-rubygem-actionpack-4_2
SUSE OpenStack Cloud 6 GA ruby2.1-rubygem-actionview-4_2
SUSE Studio Onsite 1.3
  • libcontainment-insomnia >= 0.1.1-0.9.4.19
  • libjansson >= 2.2.1-0.9.11.6
  • libjansson4 >= 2.2.1-0.9.11.6
  • qemu-ext2 >= 0.1.1-0.9.4.19
  • rubygem-actionpack-3_2 >= 3.2.12-0.23.1
  • rubygem-bundler19 >= 1.7.0-0.13.10
  • studio-help >= 1.3.20-0.6.9
  • susestudio >= 1.3.14-52.1
  • susestudio-bundled-packages >= 1.3.14-52.1
  • susestudio-common >= 1.3.14-52.1
  • susestudio-runner >= 1.3.14-52.1
  • susestudio-sid >= 1.3.14-52.1
  • susestudio-ui-server >= 1.3.14-52.1
Patchnames:
slestso13-rubygem-actionpack-3_2-12431
slestso13-susestudio-12990
SUSE Studio Onsite Runner 1.3
  • libcontainment-insomnia >= 0.1.1-0.9.4.19
  • libjansson >= 2.2.1-0.9.11.6
  • libjansson4 >= 2.2.1-0.9.11.6
  • qemu-ext2 >= 0.1.1-0.9.4.19
  • rubygem-bundler19 >= 1.7.0-0.13.10
  • studio-help >= 1.3.20-0.6.9
  • susestudio >= 1.3.14-52.1
  • susestudio-bundled-packages >= 1.3.14-52.1
  • susestudio-common >= 1.3.14-52.1
  • susestudio-runner >= 1.3.14-52.1
  • susestudio-ui-server >= 1.3.14-52.1
Patchnames:
slestso13-susestudio-12990
SUSE WebYast 1.3
  • rubygem-actionpack-3_2 >= 3.2.12-0.23.1
Patchnames:
slewyst13-rubygem-actionpack-3_2-12431
openSUSE 13.2
  • rubygem-actionpack-3_2 >= 3.2.17-3.7.1
  • rubygem-actionpack-3_2-doc >= 3.2.17-3.7.1
  • rubygem-activerecord-3_2 >= 3.2.17-3.3.1
  • rubygem-activerecord-3_2-doc >= 3.2.17-3.3.1
  • rubygem-activesupport-3_2 >= 3.2.17-2.6.1
  • rubygem-activesupport-3_2-doc >= 3.2.17-2.6.1
Patchnames:
openSUSE-2016-160
openSUSE Leap 42.1
  • ruby2.1-rubygem-actionpack-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-actionpack-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-actionview-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-actionview-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activemodel-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activemodel-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activerecord-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activerecord-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activesupport-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activesupport-doc-4_2 >= 4.2.4-6.1
  • rubygem-actionpack-4_2 >= 4.2.4-6.1
  • rubygem-actionview-4_2 >= 4.2.4-6.1
  • rubygem-activemodel-4_2 >= 4.2.4-6.1
  • rubygem-activerecord-4_2 >= 4.2.4-6.1
  • rubygem-activesupport-4_2 >= 4.2.4-6.1
Patchnames:
openSUSE-2016-159